# Class CIM_IndicationServiceCapabilities
extends CIM_Capabilities

IndicationServiceCapabilities describes whether properties on the Indication Service can be modified by a client.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Capabilities
|
+--CIM_IndicationServiceCapabilities

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | IndicationServiceCapabilities describes whether properties on the Indication Service can be modified by a client.
UMLPackagePath | string | CIM::Core::Capabilities
Version | string | 2.20.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
DeliveryRetryAttemptsIsSettable | boolean |
Description | string | Boolean indicating whether the DeliveryRetryAttempts property can be set by a client application.
ModelCorrespondence | string | CIM_IndicationService.DeliveryRetryAttempts
DeliveryRetryIntervalIsSettable | boolean |
Description | string | Boolean indicating whether the DeliveryRetryInterval property can be set by a client application.
ModelCorrespondence | string | CIM_IndicationService.DeliveryRetryInterval
FilterCreationEnabledIsSettable | boolean |
Description | string | Boolean indicating whether the FilterCreationEnabled property can be set by a client application.
ModelCorrespondence | string | CIM_IndicationService.FilterCreationEnabled
MaxActiveSubscriptions | uint32 | 1
Description | string | MaxActiveSubscriptions specifies the maximum total number of instances of CIM_IndicationSubcription and CIM_FilterCollectionSubscription instances supported by the CIM_IndicationService.
MinValue | sint64 | 1
MaxListenerDestinations | uint32 | 1
Description | string | MaxListenerDestinations specifies the maximum number of instances of CIM_ListenerDestination allowed by the associated CIM_IndicationService.
MinValue | sint64 | 1
SubscriptionRemovalActionIsSettable | boolean |
Description | string | Boolean indicating whether the SubscriptionRemovalAction property can be set by a client application.
ModelCorrespondence | string | CIM_IndicationService.SubscriptionRemovalAction
SubscriptionRemovalTimeIntervalIsSettable | boolean |
Description | string | Boolean indicating whether the SubscriptionRemovalTimeInterval property can be set by a client application.
ModelCorrespondence | string | CIM_IndicationService.SubscriptionRemovalTimeInterval
SubscriptionsPersisted | boolean | false

Description

string

SubscriptionsPersisted indicates whether or not the IndicationService persists indication subscriptions across restarts of the service. If SubscriptionsPersisted has a value of true, the indication service shall persist indication subscriptions across restarts of service. If SubscriptionsPersisted has a value of false, the indication service shall not persist indication subscriptions across restarts of the service. A value of NULL indicates support for subscription persistence is unknown.

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_Capabilities
InstanceID | string | CIM_Capabilities

## Class Methods